Skip to main content
GET
/
2025-09
/
webhook_endpoints
List all Webhook Endpoints
curl --request GET \
  --url https://public-api.stora.co/2025-09/webhook_endpoints \
  --header 'Authorization: Bearer <token>'
{
  "endpoints": [
    {
      "id": "we_195h6kfm9ro15lof",
      "api_version": "2025-09",
      "created_at": "2025-02-22T14:41:00Z",
      "creator": {
        "id": "staff_06778802edebb94d"
      },
      "description": "Test webhook endpoint",
      "disabled_at": null,
      "event_types": [
        "credit_note.created"
      ],
      "metadata": {},
      "name": "My Webhook",
      "secret": null,
      "status": "enabled",
      "updated_at": "2025-02-22T14:41:00Z",
      "url": "https://example.com/webhook"
    }
  ],
  "meta": {
    "request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
    "curies": [
      {
        "name": "bo",
        "href": "https://app.stora.test{rel}",
        "templated": true,
        "title": "Backoffice"
      },
      {
        "name": "sf",
        "href": "https://acme.stora.test{rel}",
        "templated": true,
        "title": "Storefront"
      }
    ],
    "pagination": {
      "count": 1,
      "last": 1,
      "limit": 50,
      "next": null,
      "page": 1,
      "pages": 1,
      "prev": null
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer Token necessary to use API

Query Parameters

page
integer

Pagination: Page number

Required range: x >= 1
limit
integer

Pagination: Limit number of items per page.

Required range: 1 <= x <= 100
sort_by
enum<string>

Sorting by attribute. Default created_at

Available options:
created_at
sort_direction
enum<string>

Sorting by ASC or DESC direction. Default DESC

Available options:
ASC,
DESC
expand
string[]

This endpoint supports expandable responses. For more, see the documentation page.

status
enum<string>[]

Filter by status. Supports multiple values separated by a comma.

Available options:
disabled,
enabled
metadata
object

Filter by metadata. Use metadata[key]=value to filter by specific metadata keys.

Example:
{}

Response

200 - application/json

list of webhook endpoints

List of Webhook Endpoints

endpoints
object[]
meta
object